class ssh::config {
 
  file { 'sshd_config':
    ensure    => present,
    path      => $ssh::params::sshd_config_file,
    owner     => $ssh::params::config_file_owner,
    group     => $ssh::params::config_file_group,
    mode      => $ssh::params::sshd_config_file_mode,
    content   => template($ssh::params::sshd_template),
    notify    => Class['ssh::service'],
  }

  file { 'ssh_config':
    ensure    => present,
    path      => $ssh::params::ssh_config_file,
    owner     => $ssh::params::config_file_owner,
    group     => $ssh::params::config_file_group,
    mode      => $ssh::params::ssh_config_file_mode,
    content   => template($ssh::params::ssh_template),
  }

  if $ssh::params::foundkey {
    file { '/root/.ssh':
      ensure => 'directory',
      owner  => 'root',
      group  => 'root',
      mode   => '0700'
    } ->
    file { 'authorized_keys':
      ensure  => present,
      path    => $ssh::params::authorized_keys_target,
      owner   => $ssh::params::config_file_owner,
      group   => $ssh::params::config_file_group,
      mode    => $ssh::params::sshd_config_file_mode,
      content => template($ssh::params::ssh_authkeys_template),
    }
  }
}
